JRuby support for new Hash and Lambda Syntax

Hello,

Just noticed that when marking a new JRuby on Rails project as a Java project (in order to take advantage of all the Java methods), it no longer recognizes the new Hash and Lambda syntax as per 1.9.

Attached are two examples.  One with JRuby on a Java Project, the other with just a normal Ruby project.  Is there anyting I can do to make the Java/JRuby project recognize the new syntax?

Thanks,

-Robert



Attachment(s):
Ruby.png
JRuby.png
8 comments
Comment actions Permalink

What ruby sdk version is set for JRuby facet?

Regards, Oleg.

0
Comment actions Permalink

Hi Oleg,

It is currently set at JRuby 1.7.9 in 2.0 mode.

-Robert



Attachment(s):
Screen Shot 2013-12-29 at 5.08.46 PM.png
0
Comment actions Permalink

Hi,

this is abug :(  Please file it in our tracker http://youtrack.jetbrains.com/issues/RUBY

Thanks in advance, Oleg.

0
Comment actions Permalink

Thank you, the problem will be fixed in next version of plugin.

Regurds, Oleg.

0
Comment actions Permalink

I see this has been fixed in 6.0.3. I'm using IDEA 13.0.1 and the current Ruby plugin version is 6.0.0.20131207. Do you know when 6.0.3 will become available or if there's a way to get this fix prior to the release?

Thanks!

0
Comment actions Permalink

Our current plan is to release 6.0.3 (and new plugin) early next week.

Regards, Oleg.

0
Comment actions Permalink

Fixed in plugin version 6.0.0.20140123.

Thanks!

0

Please sign in to leave a comment.